@import './base.css';
@import './button.css';

body {
  margin: 0 auto;
  font-weight: normal;
  position: relative;
  overflow: scroll;
}

.no-scroll {
  overflow: hidden !important;
}

.scrollable {
  overflow: scroll;
  position: absolute;
  top: 65px;
  bottom: 0;
  right: 0;
  left: 0;
  padding-bottom: 7rem;
}

.corner-shadow {
  position: absolute;
  left: 0;
  height: 150px;
  right: 0;
  top: 65px;
  background: linear-gradient(0deg, transparent, var(--corner-shadow));
}

.ring-background {
  background-repeat: no-repeat;
  background-size: 75px;
  background-position: 100% 65px;
  position: relative;
  z-index: 1;
}

h1 {
  font-weight: 600;
  font-size: 30px;
}

h2 {
  font-size: 26px;
}

@keyframes beat {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}

.bounce {
  animation: bounce 2s ease infinite;
}

@keyframes bounce {
  0%,
  20%,
  50%,
  80%,
  100% {
    transform: translateY(0);
  }
  40% {
    transform: translateY(-10px);
  }
  60% {
    transform: translateY(-5px);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }
  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }
  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
}

@keyframes spinner-rotate {
  12.5% {
    transform: rotate(135deg);
  }
  25% {
    transform: rotate(270deg);
  }
  37.5% {
    transform: rotate(405deg);
  }
  50% {
    transform: rotate(540deg);
  }
  62.5% {
    transform: rotate(675deg);
  }
  75% {
    transform: rotate(810deg);
  }
  87.5% {
    transform: rotate(945deg);
  }
  100% {
    transform: rotate(1080deg);
  }
}
